import {parse} from "next-useragent";
import DashboardDevelopmentAssistantComponent from "@/components/dashboard/development-assistant";

export default function DevelopmentAssistant() {
    return (
        <DashboardDevelopmentAssistantComponent/>
    );
}

export async function getServerSideProps({req, locale}) {
    const {isBot} = parse(req.headers["user-agent"]);
    return {
        props: {
            messages: (await import(`&/locales/${locale}/app.json`)).default,
            title: "Dashboard.development_assistant_page",
            isBot,
            locale,
            layout: {name: 'DashboardLayout', props: {permissions: ["manage_development_refahi"]}}
        },
    };
}
